/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.User;

import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author Maher
 */
public class ListUsers {
    private final SimpleIntegerProperty id;
    private final SimpleStringProperty type;
    private final SimpleStringProperty login;
    private final SimpleStringProperty nom;
    private final SimpleStringProperty prenom;
    private final SimpleIntegerProperty tele;

    public ListUsers(Integer id, String type, String login, String nom, String prenom, Integer tele) {
        this.id = new SimpleIntegerProperty(id);
        this.type = new SimpleStringProperty(type);
        this.login = new SimpleStringProperty(login);
        this.nom = new SimpleStringProperty(nom);
        this.prenom = new SimpleStringProperty(prenom);
        this.tele = new SimpleIntegerProperty(tele);
    }

    public Integer getId() {
        return id.get();
    }

    public String getType() {
        return type.get();
    }

    public String getLogin() {
        return login.get();
    }

    public String getNom() {
        return nom.get();
    }

    public String getPrenom() {
        return prenom.get();
    }

    public Integer getTele() {
        return tele.get();
    }
    
    
    
    
    
}
